### Function

# EDataServer util_strcmp0

since: 3.32

#### Declaration [src]

    gint
    e_util_strcmp0 (
      const gchar* str1,
      const gchar* str2
    )

#### Description [src]

Compares `str1` and `str2` like g_strcmp0(), except it handles `NULL` and empty strings as equal.

Available since: 3.32

#### Parameters

`str1`

  Type: `const gchar*`

  A C string or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`str2`

  Type: `const gchar*`

  Another C string or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

An integer less than 0 when `str1` is before `str2`; 0 when the strings are equal and an integer greated than 0 when `str1` is after `str2`.